tigase.server.sreceiver

## Class TaskCommons

- java.lang.Object
- - tigase.server.sreceiver.TaskCommons

-     public abstract class TaskCommons
      extends Object

  Describe class TaskCommons here. Created: Mon May 21 08:31:25 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskCommons()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Packet` | `getMessage(tigase.xmpp.JID from, tigase.xmpp.JID to, StanzaType type, String body)`
    `static Packet` | `getPresence(tigase.xmpp.JID from, tigase.xmpp.JID to, StanzaType type)`
    `static Packet` | `getPresence(tigase.xmpp.JID from, tigase.xmpp.JID to, StanzaType type, String nick, String status)`
    `static boolean` | `parseBool(Object val)`
    `static void` | `propertyItems2Command(Map<String,PropertyItem> props, Packet result)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskCommons

          public TaskCommons()

  - ### Method Detail

    - #### propertyItems2Command

          public static void propertyItems2Command(Map<String,PropertyItem> props,
                                   Packet result)

    - #### getPresence

          public static Packet getPresence(tigase.xmpp.JID from,
                           tigase.xmpp.JID to,
                           StanzaType type,
                           String nick,
                           String status)

    - #### getPresence

          public static Packet getPresence(tigase.xmpp.JID from,
                           tigase.xmpp.JID to,
                           StanzaType type)

    - #### getMessage

          public static Packet getMessage(tigase.xmpp.JID from,
                          tigase.xmpp.JID to,
                          StanzaType type,
                          String body)

    - #### parseBool

          public static boolean parseBool(Object val)

Copyright © 2014 "Tigase, Inc.". All rights reserved.